Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Interface Destructable

All Known Subinterfaces:
  BaseScribe, CertificateTransportLayer, CommonAPITransportLayer<Identifier>, InetSocketAddressLookup, JavaScribe, LimitBandwidhtTransportLayer<Identifier>, LivenessTransportLayer<Identifier,MsgType>, LowerIdentity<Identifier,MessageType>, MaintainableScribe, MultiInetAddressTransportLayer, PeerReviewCallback, PriorityTransportLayer<Identifier>, Processor, RawScribe, Scribe, SourceRouteManager<Identifier>, SourceRouteTransportLayer<Identifier>, SplitStream, SSLTransportLayer, TimeSource, TransportLayer<Identifier,MessageType>, UDPLayer, UpperIdentity<Identifier,MessageType>, WireTransportLayer

All Known Implementing Classes:
  AggressiveLivenessTransportLayerImpl, BandwidthLimitingTransportLayer, BogusUDPLayerImpl, CommonAPITransportLayerImpl, DirectTimeSource, DirectTransportLayer, Environment, FirewallTLImpl, LimitSocketsTransportLayer, LivenessTransportLayerImpl, MagicNumberTransportLayer, MessageDispatch, MultiInetAddressTransportLayerImpl, NetworkInfoTransportLayer, NodeHandleAdapter, PastryNode, PeerReviewImpl, PriorityTransportLayerImpl, ProfileSelector, RC4TransportLayer, RecordLayer, RecordSM, RendezvousTransportLayerImpl, ReplayLayer, ReplaySM, ReplicationImpl, ScribeImpl, SelectorManager, SimpleIdentityTransportLayer, SimpleProcessor, SimpleTimeSource, SimProcessor, SourceRouteManagerImpl, SourceRouteTransportLayerImpl, SplitStreamImpl, UDPLayerImpl, WireTransportLayerImpl

    public interface Destructable

Method Summary
`void` | `destroy()`

Method Detail

### destroy

    void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.